<template>
  <BaseModal :show="true">
    <div class="restart">
      <h2 class="fs-900">RESTART GAME?</h2>
      <div class="buttons">
        <BaseButton class="bg-silver btn-cancel" @click="cancel">
          No, cancel
        </BaseButton>
        <BaseButton class="bg-light-yellow btn-restart" @click="restart"
          >Yes, restart
        </BaseButton>
      </div>
    </div>
  </BaseModal>
</template>

<script>
import BaseButton from "./ui/BaseButton.vue";

export default {
  components: { BaseButton },
  name: "GameRestart",
  emits: ["cancel", "restart"],
  props: {
    isOTurn: {
      default: false,
    },
  },
  setup(props, { emit }) {
    function cancel() {
      emit("cancel");
    }
    function restart() {
      emit("restart");
    }

    return { cancel, restart };
  },
};
</script>

<style lang="scss" scoped>
.restart {
  display: grid;
  margin-block: 2.5rem;
  gap: 2rem;
  .buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    .btn-restart {
      box-shadow: inset 0 -4px 0 #cc8b13;
      &:hover {
        background: var(--clr-light-yellow-hover);
      }
    }
    .btn-cancel {
      box-shadow: inset 0 -4px 0 #6b8997;
      &:hover {
        background: var(--clr-silver-hover);
      }
    }
  }
}
</style>
